Package ghidra.app.util.bin.format.dwarf4

# Class DWARFAttributeSpecification

java.lang.Object
ghidra.app.util.bin.format.dwarf4.DWARFAttributeSpecification

public class DWARFAttributeSpecification extends Object
Information about a single DWARF attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFAttributeSpecification(int attribute, DWARFForm attributeForm)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getAttribute()`
  Get the attribute of the attribute specification.
  `DWARFForm`
  `getAttributeForm()`
  Get the form of the attribute specification.
  `int`
  `hashCode()`
  `static DWARFAttributeSpecification`
  `read(BinaryReader reader)`
  Reads a `DWARFAttributeSpecification` instance from the `reader`.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DWARFAttributeSpecification

    public DWARFAttributeSpecification(int attribute, DWARFForm attributeForm)

- ## Method Details

  - ### read

    public static DWARFAttributeSpecification read(BinaryReader reader) throws IOException
    Reads a `DWARFAttributeSpecification` instance from the `reader`.

    Returns a null if its a end-of-list marker.

    Parameters:
      `reader` -
    Returns:
    Throws:
      `IOException`

  - ### getAttribute

    public int getAttribute()
    Get the attribute of the attribute specification.
    Returns:
      the attribute value

  - ### getAttributeForm

    public DWARFForm getAttributeForm()
    Get the form of the attribute specification.
    Returns:
      the form value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`